## vim 5.6.070-1

=== src/Makefile ===
# Makefile for Vim on Unix and Unix-like systems	vim:ts=8:sw=8:tw=78
#
# This Makefile is loosely based on the GNU Makefile conventions found in
# standards.info.
#
# Compiling Vim, summary:
#
#	3. make
#	5. make install
#
# Compiling Vim, details:
#
# Edit this file for adjusting to your system. You should not need to edit any
# other file for machine specific things!
# The name of this file MUST be Makefile (note the uppercase 'M').
#
# 1. Edit this Makefile
#	The defaults for Vim should work on most machines, but you may want to
#	uncomment some lines or make other changes below to tune it to your
#	system, compiler or preferences.  Uncommenting means that the '#' in
#	the first column of a line is removed.
#	- If you want a version of Vim that is small and starts up quickly,
#	  you might want to disable the GUI, X11, Perl, Python and Tcl.
#	- Uncomment the line with --disable-gui if you have Motif, GTK and/or
#	  Athena but don't want to make gvim (the GUI version of Vim with nice
#	  menus and scrollbars, but makes Vim bigger and startup slower).
#	- Uncomment the line "CONF_OPT_X = --without-x" if you have X11 but
#	  want to disable using X11 libraries.  This speeds up starting Vim,
#	  but the window title will not be set and the X11 selection can not
#	  used.
#	- Uncomment the line with --enable-perlinterp to enable Perl.  Makes
#	  Vim quite a bit bigger.
#	- Uncomment the line with --enable-pythoninterp to enable Python.
#	  Makes Vim quite a bit bigger.
#	- Uncomment the line with --enable-tclinterp to enable Tcl.  Makes Vim
#	  quite a bit bigger.
#	- Uncomment the line with --enable-cscope to enable the Cscope
#	  interface.
#	- Uncomment the line with --enable-max-features to enable many
#	  features (but not the interfaces just mentioned).
#	- Uncomment the line with --enable-min-features to exclude features.
#	- Uncomment the line with --disable-gpm to disable gpm support
#	  even though you have gpm libraries and includes
#	- Uncomment one of the lines with CFLAGS and/or CC if you have
#	  something very special or want to tune the optimizer.
#	- Search for the name of your system to see if it needs anything
#	  special.
#	- A few versions of make use '.include "file"' instead of 'include
#	  file'.  Adjust the include line below if yours does.
#
# 2. Edit feature.h
#	Only if you do not agree with the default compile features, e.g.:
#	- you want Vim to be as vi compatible as it can be
#	- you want to use Emacs tags files
#	- you want right-to-left editing (Hebrew)
#	- you want 'langmap' support (Greek)
#	- you want to remove features to make Vim smaller
#
# 3. "make"
#	Will first run ./configure with the options in this file. Then it will
#	start make again on this Makefile to do the compiling. You can also do
#	this in two steps with:
#		make config
#		make
#	The configuration phase creates/overwrites config.h and config.mk.
#	Configure is created with autoconf.  It can detect different features
#	of your system and act accordingly.  However, it is not correct for
#	all systems.  Check this:
#	- If you have X windows, but configure could not find it or reported
#	  another include/library directory then you wanted to use, you have
#	  to set CONF_OPT_X below.  You might also check the installation of
#	  xmkmf.
#	- If you have --enable-gui=motif and have Motif on your system, but
#	  configure reports "checking for location of gui... <not found>", you
#	  have to set GUI_INC_LOC and GUI_LIB_LOC below.
#	If you changed something, do this to run configure again:
#		make distclean
#		make config
#		make
#
#	- If you do not trust the automatic configuration code, then inspect
#	  config.h and config.mk, before starting the actual build phase. If
#	  possible edit this Makefile, rather than config.mk -- especially
#	  look at the definition of VIMLOC below. Note that the configure
#	  phase overwrites config.mk and config.h again.
#	- If you get error messages, find out what is wrong and try to correct
#	  it in this Makefile. You may need to do "make distclean" when you
#	  change anything that configure uses (e.g. switching from an old C
#	  compiler to an ANSI C compiler). Only when ./configure does
#	  something wrong you may need to change one of the other files. If
#	  you find a clean way to fix the problem, consider sending a note to
#	  the author of autoconf (bug-gnu-utils@prep.ai.mit.edu) or Vim
#	  (Bram@vim.org). Don't bother to do that when you made a hack
#	  solution for a non-standard system.
#
# 4. "make test"
#	This is optional.  This will run Vim scripts on a number of test
#	files, and compare the produced output with the expected output.
#	If all is well, you will get the "ALL DONE" message in the end.  See
#	below (search for "/^test").
#
# 5. "make install"
#	If the new Vim seems to be working OK you can install it and the
#	documentation in the appropriate location. The default is
#	"/usr/local".  Change "prefix" below to change the location.
#	"pathdef.c" will be compiled again after changing this to make the
#	executable know where the help files are located.
#	Note that any existing executable is removed or overwritten.  If you
#	want to keep it you will have to make a backup copy first.
#	The runtime files are in a different directory for each version.  You
#	might want to delete an older version.
#	If you don't want to install everything, there are other targets:
#		make installvim		only installs Vim, not the tools
#		make installvimbin	only installs the Vim executable
#		make installvimhelp	only installs the Vim help files
#		make installlinks	only installs the Vim binary links
#		make installhelplinks	only installs the Vim manpage links
#		make installmacros	only installs the Vim macros
#		make installtutor	only installs the Vim tutor
#		make installtools	only installs the tools ctags and xxd
#
# 6. Use Vim until a new version comes out.
#
# 7. "make uninstall_runtime"
#	Will remove the runtime files for the current version.  This is safe
#	to use while another version is being used, only version-specific
#	files will be deleted.
#	To remove the runtime files of another version:
#		make uninstall_runtime VIMRTDIR=/vim54
#	If you want to delete all installed files, use:
#		make uninstall
#	Note that this will delete files have the same name for any version,
#	thus you might need to do a "make install" soon after this.
#	Be careful not to remove a version of Vim that is still being used!
#	To find out which files and directories will be deleted, use:
#		make -n uninstall

### This Makefile has been succesfully tested on these systems.
### Check the (*) column for remarks, listed below.
### Later code changes may cause small problems, otherwise Vim is supposed to
### compile and run without problems.

#system:	      configurations:		     version (*) tested by:
#-------------	      ------------------------	     -------  -  ----------
#AIX 3.2.5	      cc (not gcc)   -			4.5  (M) Will Fiveash
#AIX 4		      cc	     +X11 -GUI		3.27 (4) Axel Kielhorn
#AIX 4.1.4	      cc	     +X11 +GUI		4.5  (5) Nico Bakker
#AIX_4.1	      gcc 2.7.2      +X11 +Motif	5.0s	 Karsten Sievert
#AIX 4.1.1	      cc	     +X11 +GUI		5.0c	 Jeff Walker
#AIX 4.2	      gcc 2.7.2.1    +X11 +GUI_Motif	5.2	 D. Rothkamp
#AIX 4.2.1	      cc				5.2k (C) Will Fiveash
#AIX 4.3	      cc	     +X11 +GUI_Athena	5.3	 Glauber Ribeiro
#AIX 4.3.3.12	      xic 3.6.6				5.6  (5) David R. Favor
#A/UX 3.1.1	      gcc	     +X11		4.0  (6) Jim Jagielski
#BeOS PR	      mwcc DR3				5.0n (T) Olaf Seibert
#BSDI 2.1 (x86)       shlicc2 gcc-2.6.3 -X11 X11R6	4.5  (1) Jos Backus
#BSD/OS 3.0 (x86)     gcc gcc-2.7.2.1 -X11 X11R6	4.6c (1) Jos Backus
#Cygwin 1.0 Win-NT    2.9-cygwin-990830 -X11 -GUI	5.6	 Bram Moolenaar
#CX/UX 6.2	      cc	     +X11 +GUI_Mofif	5.4  (V) Kipp E. Howard
#DG/UX 5.4*	      gcc 2.5.8      GUI		5.0e (H) Jonas Schlein
#DG/UX 5.4R4.20       gcc 2.7.2      GUI		5.0s (H) Rocky Olive
#DigitalUnix OSF 4.0b cc (not gcc)   +X11 +GUI +GTK	5.5b	 Peter Turcan
#HP-UX (most)	      c89 cc				5.1  (2) Bram Moolenaar
#HP-UX_9.04	      cc	     +X11 +Motif	5.0  (2) Carton Lao
#HP-UX_10.01	      gcc 2.7.2      +X11 -GUI		5.2	 D. Rothkamp
#HP-UX_10.20	      gcc 2.7.2.1    +X11 +Motif	5.0s	 Karsten Sievert
#HP-UX_10.20	      gcc 2.7.2.1    +X11R6 +Motif	5.1	 Kayhan Demirel
#HP-UX_10.20	      gcc 2.8.1      +X11R6 +Motif	5.5a	 Axel Kielhorn
#HP-UX 11.00 64 bit   egcs 1.1.1     -X11		5.4c	 Heiko Nardmann
#Irix 6.3 (O2)	      cc	     ?			4.5  (L) Edouard Poor
#Irix 6.4	      cc	     ?			5.0m (S) Rick Sayre
#Irix 6.5	      cc	     ?			5.3  (S) David Harrison
#Irix 64 bit						4.5  (K) Jon Wright
#FreeBSD 2.1.6	      gcc-2.6.3      X11R6 Moo-Tiff	5.0c	 Bram Moolenaar
#FreeBSD 2.1.6	      gcc-2.6.3      +X11 -GUI Athena	5.0c	 Bram Moolenaar
#FreeBSD 2.2.5	      gcc-2.7.2.1    X11R6 Moo-Tiff	5.4d	 Bram Moolenaar
#FreeBSD 2.2.5	      gcc-2.7.2.1    +X11 -GUI Athena	5.4d	 Bram Moolenaar
#FreeBSD 3.3	      gcc-2.7.2.1    +X11 GTK 1.2.5	5.6a	 Bram Moolenaar
#FreeBSD 3.3	      gcc-2.7.2.1    +X11 Athena	5.6a	 Bram Moolenaar
#FreeBSD 3.3	      gcc-2.7.2.1    +X11 Lesstif0.89.4 5.6a	 Bram Moolenaar
#Linux 2.0	      gcc-2.7.2      Infomagic Motif	4.3  (3) Ronald Rietman
#Linux 2.0.31	      gcc	     +X11 +GUI Athena	5.0w (U) Darren Hiebert
#Linux 2.0.33	      gcc-2.7.2.1    X11R6, Lesstif	5.0s	 Tony Nugent
#Linux 2.0.34	      gcc-2.90.29    +X11 +GTK 1.2.2	5.4m	 Ant. Colombo
#LynxOS 2.5.0	      gcc-2.7-96q1   +X11 +GUI Athena	5.0  (O) Lorenz Hahn
#LynxOS 2.5.0	      gcc-2.7-96q1   +X11 -GUI Athena	5.0  (O) Lorenz Hahn
#MacOS		 CodeWarrior Pro 2   -			5.4i	 Axel Kielhorn
#NEC UP4800 UNIX_SV 4.2MP  cc	     +X11R6 Motif,Athena4.6b (Q) Lennart Schultz
#NetBSD 1.0A	      gcc-2.4.5      -X11 -GUI		3.21 (X) Juergen Weigert
#NetBSD 1.2.1	      gcc-2.7.2.2    +X11 +GUI Athena	5.0n	 Olaf Seibert
#NetBSD 1.2.1	      gcc-2.7.2.2    +X11 +GUI Lesstiff	5.0n	 Olaf Seibert
#QNX 4.2	      wcc386-10.6    -X11		4.2  (D) G.F. Desrochers
#QNX 4.23	      Watcom	     -X11		4.2  (F) John Oleynick
#SCO Unix v3.2.5      cc	     +X11 Motif		3.27 (C) M. Kuperblum
#SCO Open Server 5    gcc 2.7.2.3    +X11 +GUI Motif	5.3  (A) Glauber Ribeiro
#SINIX-N 5.43 RM400 R4000   cc	     +X11 +GUI		5.0l (I) Martin Furter
#SINIX-Z 5.42 i386    gcc 2.7.2.3    +X11 +GUI Motif	5.1  (I) Joachim Fehn
#SINIX-Y 5.43 RM600 R4000  gcc 2.7.2.3 +X11 +GUI Motif	5.1  (I) Joachim Fehn
#Reliant/SINIX 5.44   cc	     +X11 +GUI		5.5a (I) B. Pruemmer
#SNI Targon31 TOS 4.1.11 gcc-2.4.5   +X11 -GUI		4.6c (B) Paul Slootman
#Solaris 2.3 (sun4m)  cc	     +X11 +GUI Athena	5.0w	 Darren Hiebert
#Solaris 2.4 (Sparc)  cc	     +X11 +GUI		3.29 (9) Glauber
#Solaris 2.4/2.5      clcc	     +X11 -GUI openwin	3.20 (7) Robert Colon
#Solaris 2.5 (sun4m)  cc (SC4.0)     +X11R6 +GUI (CDE)	4.6b (E) Andrew Large
#Solaris 2.5	      cc	     +X11 +GUI Athena	4.2  (9) Sonia Heimann
#Solaris 2.5	      gcc 2.5.6      +X11 Motif		5.0m (R) Ant. Colombo
#Solaris 2.5 (Sparc)  gcc-2.7.2.3    +X11 +GUI Motif	5.5	 Ant. Colombo
#Solaris 2.6 (sun4u)  gcc 2.7.2.3    +X11 +GUI_Motif	5.2	 D. Rothkamp
#Solaris 2.6 (sun4u)  cc (SC4.2)     +X11R6 +GUI (CDE)	5.0v	 Andrew Large
#Solaris 2.6	      gcc 2.8.1      ncursus		5.3  (G) Larry W. Virden
#Solaris with -lthread                                  5.5  (W) K. Nagano
#SunOS_5.5.1	      gcc 2.7.2      +X11 +Motif	5.0s	 Karsten Sievert
#SunOS 4.1.x			     +X11 -GUI		5.1b (J) Bram Moolenaar
#SunOS 4.1.3_U1 (sun4c) gcc	     +X11 +GUI Athena	5.0w (J) Darren Hiebert
#SUPER-UX 6.2 (NEC SX-4) cc	     +X11R6 Motif,Athena4.6b (P) Lennart Schultz
#Unisys 6035	      cc	     +X11 Motif		5.3  (8) Glauber Ribeiro

# (*)  Remarks:
#
# (1)  Uncomment line below for shlicc2
# (2)  HPUX with compile problems or wrong digraphs, uncomment line below
# (3)  Infomagic Motif needs GUI_LIB_LOC and GUI_INC_LOC set, see below.
#      And add "-lXpm" to MOTIF_LIBS2.
# (4)  For cc the optimizer must be disabled (use CFLAGS= after running

=== debian/changelog ===
vim (5.6.070-1) frozen unstable; urgency=low

  * More upstream bugfixes merged
  * Use vim-rt package in menu entries. Without this change vim would
    never show up in menus. Closes: Bug#63100
  * Change update-alternatives call to reflect that manpages are now in
    /usr/share/man. Closes: Bug#63320
  * Add Pre-Depends and check in a new preinst to make sure the running dpkg
    supports multiple conflicts & replaces

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  1 May 2000 13:51:11 +0200

vim (5.6.052-1) frozen unstable; urgency=low

  * Another 21 new upstream bugfixes merged

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  3 Apr 2000 17:16:59 +0200

vim (5.6.031-1) frozen unstable; urgency=low

  * Figures that in the 24 hours after I release an update 16 upstream
    patches are released..
  * Enable gpm support (except in vim-tiny of course) on popular request.
  * Enable rightleft support in packages with gvim

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 26 Mar 2000 17:18:54 +0200

vim (5.6.015-1) frozen unstable; urgency=low

  * 3 more upstream bugfixes applied
  * Fix menu entries so we don't mention gvim for vim and vim-tiny
  * Link dynamically to libpython

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 24 Mar 2000 15:13:33 +0100

vim (5.6.012-1) frozen unstable; urgency=low

  * Another bugfix patch applied (hang with zsh)
  * Fooled by debhelper again.. restore maintainer scripts
    which were suddenly gone missing, Closes: Bug# 57491, #57500

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 10 Feb 2000 17:22:37 +0100

vim (5.6.011-1) frozen unstable; urgency=low

  * Seven more bugfix patches applied
  * Don't include all the gvim stuff in the standard vim package

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 27 Jan 2000 03:05:23 +0100

vim (5.6.000-1) frozen unstable; urgency=low

  * No longer beta. There are no changes from the previous package except
    that this version is no longer marked as a beta version.

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 17 Jan 2000 00:28:15 +0100

vim (5.6-0.5.6a.028-1) frozen unstable; urgency=low

  * Include more upstream bugfixes
  * Add Debian-specific filetypes to default vimrc, Closes: Bug#54339
  * Make vim-rt only recommend vim

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 15 Jan 2000 16:38:17 +0100

vim (5.6-0.5.6a.019-1) unstable; urgency=low

  * Include patches up to 5.6a.019
  * Rebuild to get VIMRUNTIME correct
  * Fix description for vim-gtk, Closes: Bug#54748

 -- Wichert Akkerman <Wakkerma@debian.org>  Tue, 11 Jan 2000 10:14:10 +0100

vim (5.6-0.5.6a.018-1) unstable; urgency=low

  * New upstream version, pre-release for 5.6, patchlevel 018
  * Provide editor
  * vim no longer has any X support
  * Add vim-gtk with the GTK frontend

 -- Wichert Akkerman <Wakkerma@debian.org>  Mon, 10 Jan 2000 03:00:44 +0100

vim (5.5.033-1) unstable; urgency=low

  * Include patches up to 5.5.033
  
 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 18 Oct 1999 16:14:21 +0200

vim (5.5.009-1) unstable; urgency=low

  * Include patches up to 5.5.009
  * Fix paths in manpages

 -- Wichert Akkerman <wakkerma@debian.org>  Tue, 28 Sep 1999 02:08:28 +0200

vim (5.5-1) unstable; urgency=low

  * New upstream version

 -- Wichert Akkerman <wakkerma@debian.org>  Tue, 21 Sep 1999 04:07:57 +0200

vim (5.4.49-1) unstable; urgency=low

  * Include patches up to 5.4.49
  * Build with multibyte and xim support, Closes:Bug#43245

 -- Wichert Akkerman <wakkerma@debian.org>  Thu,  2 Sep 1999 15:50:12 +0200

vim (5.4.21-1) unstable; urgency=low

  * Include patches up to 5.4.21
  * Fix asnother concatenated line in vimrc
  * Don't register gvim for vim-tty

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 11 Aug 1999 01:18:01 +0200

vim (5.4.17-1) unstable; urgency=low

  * Include patches up to 5.4.17
  * Make vim-tty provide vim, Closes:Bug#42659
  * Fix accidentily joined lines in vimrc, Closes:Bug#42663
  
 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  9 Aug 1999 04:30:37 +0200

vim (5.4.12-1) unstable; urgency=low

  * Include patches up to 5.4.12
  * Add a new package: vim-tty. This is a build with all the normal
    features, but without any X support. 

 -- Wichert Akkerman <wakkerma@debian.org>  Thu,  5 Aug 1999 21:31:13 +0200

vim (5.4.11-1) unstable; urgency=low

  * Include patches up to 5.4.11

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  2 Aug 1999 03:03:02 +0200

vim (5.4.7-1) unstable; urgency=low

  * Include patches up to 5.4.7
  * Fix replaces, dpkg can't handle multiple replaces-lines in control
  * Fix typo in debian/rules causing vim-tiny to get X11 support
  * Only change extension in second column of documentation tags-file
  * Remove [ce]tags, they are packaged seperately

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 29 Jul 1999 17:17:05 +0200

vim (5.4-1) unstable; urgency=low

  * Finally, vim 5.4 has arrived!
  * Lets build vim-rt only in binary-indep now

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 25 Jul 1999 23:19:03 +0200

vim (5.4-0.5.4p-1) unstable; urgency=low

  * Yet-another-last-beta for vim 5.4
  * Make vim-* replace vim-rt since we moved some stuff around

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 19 Jul 1999 17:29:49 +0200

vim (5.4-0.5.4o.6) unstable; urgency=low

  * Patched up to version 5.4o.6 beta
  * Default vimrc clean on request of the Cistron crew: :)
    + Change default vimrc to be more compatible with upstream defaults
    + Turn backup off by default
    + Don't map Q to gq anymore
  
 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 15 Jul 1999 23:18:28 +0200

vim (5.4-0.5.4o.1) unstable; urgency=low

  * Third upstream beta-version
  * Patched up to version 5.4o.1 beta

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 12 Jul 1999 17:26:01 +0200

vim (5.4-0.5.4n.18) unstable; urgency=low

  * Second upstream beta-version
  * Patched up to version 5.4n.18 beta
  * Fix vimrc: we should explicitly use expand now



=== debian/control ===
Source: vim
Section: editors
Priority: optional
Maintainer: Wichert Akkerman <wakkerma@debian.org>
Standards-Version: 3.1

Package: vim
Architecture: any
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}
Suggests: ctags
Recommends: vim-rt
Provides: editor
Conflicts: vim-tiny, vim-perl, vim-python, vim-tcl, vim-tty, vim-gtk
Replaces: vim-rt, vim-tiny, vim-perl, vim-python, vim-tcl, vim-gtk
Description: Vi IMproved - enhanced vi editor
 Vim is an almost compatible version of the UNIX editor Vi.  Many new features
 have been added: multi level undo, syntax highlighting, command line history,
 on-line help, filename completion, block operations, etc.
 .
 This packages contains the vim program itself. The runtime-files are in the
 vim-rt package. It has been build with all the normal features but without
 any X support.

Package: vim-gtk
Architecture: any
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}
Suggests: ctags
Recommends: vim-rt
Provides: vim, editor
Conflicts: vim, vim-tiny, vim-perl, vim-python, vim-tcl, vim-tty
Replaces: vim-rt, vim, vim-tiny, vim-perl, vim-python, vim-tcl, vim-tty
Description: Vi IMproved - GTK version
 Vim is an almost compatible version of the UNIX editor Vi.  Many new features
 have been added: multi level undo, syntax highlighting, command line history,
 on-line help, filename completion, block operations, etc.
 .
 This packages contains the vim program itself. The runtime-files are in the
 vim-rt package. It has been build with the GTK frontend.

Package: vim-tiny
Architecture: any
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}
Suggests: ctags, vim-rt (>=5.3-6)
Replaces: vim-rt
Provides: vim, editor
Conflicts: vim, vim-perl, vim-python, vim-tcl, vim-tty, vim-gtk
Replaces: vim-rt, vim, vim-perl, vim-python, vim-tcl, vim-tty, vim-gtk
Description: Vi IMproved - minimal build
 Vim is an almost compatible version of the UNIX editor Vi.  Many new features
 have been added: multi level undo, syntax highlighting, command line history,
 on-line help, filename completion, block operations, etc.
 .
 This packages contains the vim program itself. The runtime-files are in the
 vim-rt package. It has been build with a subset of the normal features.

Package: vim-perl
Architecture: any
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}
Suggests: ctags
Recommends: vim-rt
Provides: vim, editor
Conflicts: vim, vim-tiny, vim-python, vim-tcl, vim-tty, vim-gtk
Replaces: vim-rt, vim, vim-tiny, vim-python, vim-tcl, vim-tty, vim-gtk
Description: Vi IMproved - with perl support
 Vim is an almost compatible version of the UNIX editor Vi.  Many new features
 have been added: multi level undo, syntax highlighting, command line history,
 on-line help, filename completion, block operations, etc.
 .
 This packages contains the vim program itself. The runtime-files are in the
 vim-rt package. It has been build with perl interpreter support.

Package: vim-python
Architecture: any
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}
Suggests: ctags
Recommends: vim-rt
Provides: vim, editor
Conflicts: vim, vim-tiny, vim-perl, vim-tcl, vim-tty, vim-gtk
Replaces: vim-rt, vim, vim-tiny, vim-perl, vim-tcl, vim-tty, vim-gtk
Description: Vi IMproved - with python support
 Vim is an almost compatible version of the UNIX editor Vi.  Many new features
 have been added: multi level undo, syntax highlighting, command line history,
 on-line help, filename completion, block operations, etc.
 .
 This packages contains the vim program itself. The runtime-files are in the
 vim-rt package. It has been build with python interpreter support.

Package: vim-tcl
Architecture: any
Depends: ${shlibs:Depends}
Suggests: ctags
Recommends: vim-rt
Provides: vim, editor
Conflicts: vim, vim-tiny, vim-perl, vim-python, vim-tty, vim-gtk
Replaces: vim-rt, vim, vim-tiny, vim-perl, vim-python, vim-tty, vim-gtk
Description: Vi IMproved - with tcl support
 Vim is an almost compatible version of the UNIX editor Vi.  Many new features
 have been added: multi level undo, syntax highlighting, command line history,
 on-line help, filename completion, block operations, etc.
 .
 This packages contains the vim program itself. The runtime-files are in the
 vim-rt package. It has been build with Tcl interpreter support.

Package: vim-rt
Architecture: all
Replaces: vim (<< 5.2)
Recommends: vim
Suggests: ctags
Description: Vi IMproved - runtime support files
 Vim is an almost compatible version of the UNIX editor Vi.  Many new features
 have been added: multi level undo, syntax highlighting, command line history,
 on-line help, filename completion, block operations, etc.
 .
 This packages contains the runtime-files.

=== debian/rules ===
#!/usr/bin/make -f
#
# Wichert: removed all comments about previous versions, this was rewriten
# so much (and often) that they don't apply anyway :)

CC	= gcc
# Need to compile without debugging symbols.
CFLAGS	= -g -O2
tmpdir	:= $(shell pwd)/debian/tmp


cfgflags=--prefix=/usr
optflags=--enable-langmap --enable-multibyte --enable-gpm
guiflags=--with-x --enable-gui=gtk --enable-xim

src/vim-normal:
	./configure $(cfgflags) $(optflags) --without-x --enable-gui=no
	make clean && make CFLAGS="$(CFLAGS) -DHAVE_LANGMAP"
	mv src/vim src/vim-normal

src/vim-gtk:
	./configure $(cfgflags) $(optflags) $(guiflags)
	make clean && make CFLAGS="$(CFLAGS) -DHAVE_LANGMAP -DRIGHTLEFT"
	mv src/vim src/vim-gtk

src/vim-perl:
	./configure $(cfgflags) $(optflags) $(guiflags) --enable-perlinterp
	make clean && make CFLAGS="$(CFLAGS) -DHAVE_LANGMAP -DRIGHTLEFT"
	mv src/vim src/vim-perl

src/vim-python:
	./configure $(cfgflags) $(optflags) $(guiflags) --enable-pythoninterp
	make clean && make CFLAGS="$(CFLAGS) -DHAVE_LANGMAP -DRIGHTLEFT"
	mv src/vim src/vim-python

src/vim-tcl:
	./configure $(cfgflags) $(optflags) $(guiflags) --enable-tclinterp
	make clean && make CFLAGS="$(CFLAGS) -DHAVE_LANGMAP -DRIGHTLEFT"
	mv src/vim src/vim-tcl

src/vim-tiny:
	./configure $(cfgflags) --without-x --disable-gui --enable-min-features
	make clean && make CFLAGS="$(CFLAGS) -DAUTOCMD -DWANT_EVAL"
	mv src/vim src/vim-tiny

build: src/vim-perl src/vim-python src/vim-tcl src/vim-tiny src/vim-normal src/vim-gtk
	touch build

clean:
	make distclean
	-rm binary-prepare build src/vim-*
	dh_clean


# Target shared by binary-arch and binary-indep
binary-prepare: build
# Initialize the building procedure
	dh_testdir
	dh_clean

# Setup the directory structure
	install -d -g root -m 755 -o root debian/tmp
	cd debian/tmp && install -o root -g root -m 755 -d `cat ../dirs`

# Do the real install
	# copy vim-normal to vim otherwise make goes crazy (don't move
	# since that will make testing builds awful)
	cp -p src/vim-normal src/vim
	make install prefix=`pwd`/debian/tmp/usr PREFIX=`pwd`/debian/tmp/usr

# Remove things which are handled via alternatives
	rm debian/tmp/usr/bin/{view,ex}

# Vim can handle compressed documentation
	(	cd debian/tmp/usr/share/vim/*/doc ; \
		sed -e 's/\([^[:space:]]*\)[[:space:]]*\([^[:space:]]*\)[[:space:]]*\(.*\)/\1	\2.gz	\3/' tags > tags.fixed ;\
		mv tags.fixed tags ; \
		gzip *.txt )

# Remove some unwanted stuff
	rm debian/tmp/usr/bin/[ce]tags
	rm debian/tmp/usr/man/man1/[ce]tags*

# Move some stuff to the documentation-directory
	mv debian/tmp/usr/share/vim/*/macros debian/tmp/usr/share/doc/vim/
	mv debian/tmp/usr/share/vim/*/tools debian/tmp/usr/share/doc/vim/
	rm debian/tmp/usr/share/vim/*/doc/vim2html.pl

# Fix some permissions
	chmod 755 debian/tmp/usr/share/doc/vim/tools/*.{pl,sh,awk}
	chmod 755 debian/tmp/usr/share/doc/vim/tools/tcltags

# Fixup manapges
	for i in debian/tmp/usr/man/man1/* ; do \
		sh debian/remove-tmp $(tmpdir) $$i ; \
	done

# Install our own examples
	install -d -m 755 -o root -g root debian/tmp/usr/share/doc/vim/examples
	install -p -m 644 -o root -g root debian/runtime/examples/* \
		debian/tmp/usr/share/doc/vim/examples/

# Install the icons (for menu-support)
	install -p -o root -g root -m 644 runtime/vim*.xpm \
			debian/tmp/usr/X11R6/include/X11/pixmaps/

# install some updates
	-install -p -o root -g root -m 644 debian/runtim/syntax* \
			debian/tmp/usr/share/vim/*/syntax/

# Fix the configuration files
	install -d -o root -g root -m 755 debian/tmp/etc
	mv debian/tmp/usr/share/vim/*/menu.vim debian/tmp/etc/
	rm debian/tmp/usr/share/vim/*/*example*
	install -p -o root -g root -m 644 debian/runtime/vimrc debian/tmp/etc
	install -p -o root -g root -m 644 debian/runtime/gvimrc debian/tmp/etc
	ln -s /etc/vimrc debian/tmp/usr/share/vim/vimrc
	ln -s /etc/gvimrc debian/tmp/usr/share/vim/gvimrc
	ln -s /etc/menu.vim debian/tmp/usr/share/vim/*/

# Add the update-mime stuff
	install -p -o root -g root -m 644 debian/mime \
			debian/tmp/usr/lib/mime/packages/vim

# Install the other (Debian) stuff
	dh_installdocs -pvim -Pdebian/tmp
	dh_installchangelogs -pvim -Pdebian/tmp
	dh_strip -pvim -Pdebian/tmp
	dh_compress -pvim -Pdebian/tmp

# Now that everything is installed and ready to go, now split out the 
# vim-rt package
	install -d -o root -g root -m 755 debian/vim-rt/DEBIAN
	install -d -o root -g root -m 755 debian/vim-rt/usr/share/doc/vim
	install -d -o root -g root -m 755 debian/vim-rt/usr/lib/menu
	mv debian/tmp/etc debian/vim-rt/
	mv debian/tmp/usr/share/vim debian/vim-rt/usr/share
	mv debian/tmp/usr/share/doc/vim/tools debian/vim-rt/usr/share/doc/vim/
	mv debian/tmp/usr/share/doc/vim/macros debian/vim-rt/usr/share/doc/vim/
	mv debian/tmp/usr/share/doc/vim/examples debian/vim-rt/usr/share/doc/vim/
	mv debian/tmp/usr/X11R6 debian/vim-rt/usr/
	ln -s vim debian/vim-rt/usr/share/doc/vim-rt
	# empty call to installdocs just to get the symlink-trick working
	dh_installdocs -pvim-rt
	# We want the trick, but not the copyright
	rm -f debian/vim-rt/usr/share/doc/vim/copyright

	touch binary-prepare

# No binary independant packages from this.
binary-indep: binary-prepare
	dh_installdeb -pvim-rt
	dh_gencontrol -pvim-rt
	dh_md5sums -pvim-rt
	dh_builddeb -pvim-rt

binary-arch: binary-prepare
# Move on the the vim-gtk package
	install -p -o root -g root -m 644 debian/menu.gvim debian/tmp/usr/lib/menu/vim
	install -s -o root -g root -m 755 src/vim-gtk debian/tmp/usr/bin/vim
	ln -s vim debian/tmp/usr/share/doc/vim-gtk
	dh_installdeb -pvim -Pdebian/tmp
	dh_shlibdeps -pvim-gtk -Pdebian/tmp
	dh_gencontrol -pvim-gtk -Pdebian/tmp
	dh_md5sums -pvim-gtk -Pdebian/tmp
	dh_builddeb -pvim-gtk -Pdebian/tmp
	rm -f debian/tmp/usr/share/doc/vim-gtk

# Move on the the vim-perl package
	install -s -o root -g root -m 755 src/vim-perl debian/tmp/usr/bin/vim
	ln -s vim debian/tmp/usr/share/doc/vim-perl
	dh_shlibdeps -pvim-perl -Pdebian/tmp
	dh_gencontrol -pvim-perl -Pdebian/tmp
	dh_md5sums -pvim-perl -Pdebian/tmp
	dh_builddeb -pvim-perl -Pdebian/tmp
	rm -f debian/tmp/usr/share/doc/vim-perl

# Move on the the vim-python package
	install -s -o root -g root -m 755 src/vim-python debian/tmp/usr/bin/vim
	ln -s vim debian/tmp/usr/share/doc/vim-python
	dh_shlibdeps -pvim-python -Pdebian/tmp
	dh_gencontrol -pvim-python -Pdebian/tmp
	dh_md5sums -pvim-python -Pdebian/tmp
	dh_builddeb -pvim-python -Pdebian/tmp
	rm -f debian/tmp/usr/share/doc/vim-python

# Move on the the vim-tcl package
	install -s -o root -g root -m 755 src/vim-tcl debian/tmp/usr/bin/vim
	dh_shlibdeps -pvim-tcl -Pdebian/tmp
	ln -s vim debian/tmp/usr/share/doc/vim-tcl
	dh_gencontrol -pvim-tcl -Pdebian/tmp
	dh_md5sums -pvim-tcl -Pdebian/tmp
	dh_builddeb -pvim-tcl -Pdebian/tmp
	rm -f debian/tmp/usr/share/doc/vim-tcl

# Remove some stuff the non-X versions don't need
	-rm debian/tmp/usr/bin/{gvim,gview,rgvim,rgview}
	install -p -o root -g root -m 644 debian/mime-noX \
			debian/tmp/usr/lib/mime/packages/vim
	install -p -o root -g root -m 644 debian/menu.vim debian/tmp/usr/lib/menu/vim

# Move on the the vim-tiny package
	install -s -o root -g root -m 755 src/vim-tiny debian/tmp/usr/bin/vim
	ln -s vim debian/tmp/usr/share/doc/vim-tiny
	dh_shlibdeps -pvim-tiny -Pdebian/tmp
	dh_gencontrol -pvim-tiny -Pdebian/tmp
	dh_md5sums -pvim-tiny -Pdebian/tmp
	dh_builddeb -pvim-tiny -Pdebian/tmp
	rm -f debian/tmp/usr/share/doc/vim-tiny

# Do the standard vim package
	install -s -o root -g root -m 755 src/vim-normal debian/tmp/usr/bin/vim
	dh_installdeb -pvim -Pdebian/tmp
	dh_shlibdeps -pvim -Pdebian/tmp
	dh_gencontrol -pvim -Pdebian/tmp
	dh_md5sums -pvim -Pdebian/tmp
	dh_builddeb -pvim -Pdebian/tmp

binary: binary-arch binary-indep

.PHONY: clean binary binary-arch binary-indep

## vim 7.0

=== Makefile ===
# This Makefile has two purposes:
# 1. Starting the compilation of Vim for Unix.
# 2. Creating the various distribution files.


# 1. Using this Makefile without an argument will compile Vim for Unix.
#
# "make install" is also possible.
#
# NOTE: If this doesn't work properly, first change directory to "src" and use
# the Makefile there:
#	cd src
#	make [arguments]
# Noticed on AIX systems when using this Makefile: Trying to run "cproto" or
# something else after Vim has been compiled.  Don't know why...
# Noticed on OS/390 Unix: Restarts configure.
#
# The first (default) target is "first".  This will result in running
# "make first", so that the target from "src/auto/config.mk" is picked
# up properly when config didn't run yet.  Doing "make all" before configure
# has run can result in compiling with $(CC) empty.

first:
	@echo "Starting make in the src directory."
	@echo "If there are problems, cd to the src directory and run make there"
	cd src && $(MAKE) $@

# Some make programs use the last target for the $@ default; put the other
# targets separately to always let $@ expand to "first" by default.
all install uninstall tools config configure proto depend lint tags types test testclean clean distclean:
	@echo "Starting make in the src directory."
	@echo "If there are problems, cd to the src directory and run make there"
	cd src && $(MAKE) $@


# 2. Create the various distributions:
#
# TARGET	PRODUCES		CONTAINS
# unixall	vim-#.#.tar.bz2		Runtime files and Sources for Unix
#
# extra		vim-#.#-extra.tar.gz	Extra source and runtime files
# lang		vim-#.#-lang.tar.gz	multi-language files
#
# html		vim##html.zip		HTML docs
#
# amisrc	vim##src.tgz		sources for Amiga
# amirt		vim##rt.tgz		runtime for Amiga
# amibin	vim##bin.tgz		binary for Amiga
#
# dossrc	vim##src.zip		sources for MS-DOS
# dosrt		vim##rt.zip		runtime for MS-DOS
# dosbin	vim##d16.zip		binary for MS-DOS 16 bits
#		vim##d32.zip		binary for MS-DOS 32 bits
#		vim##w32.zip		binary for Win32
#		gvim##.zip		binary for GUI Win32
#		gvim##ole.zip		OLE exe for Win32 GUI
#		gvim##_s.zip		exe for Win32s GUI
# doslang	vim##lang.zip		language files for Win32
#
# os2bin	vim##os2.zip		binary for OS/2
#					(use RT from dosrt)
#
# farsi		farsi##.zip		Farsi fonts
#
#    All output files are created in the "dist" directory.  Existing files are
#    overwritten!
#    To do all this you need the unix, extra and lang archives, and
#    compiled binaries.
#    Before creating an archive first delete all backup files, *.orig, etc.

MAJOR = 7
MINOR = 0

# Uncomment this line if the Win32s version is to be included.
DOSBIN_S =  dosbin_s

# CHECKLIST for creating a new version:
#
# - Update Vim version number.  For a test version in: src/version.h, Contents,
#   MAJOR/MINOR above, VIMMAJOR and VIMMINOR in src/Makefile, README*.txt,
#   runtime/doc/*.txt and nsis/gvim.nsi. Other things in README_os2.txt.  For a
#   minor/major version: src/GvimExt/GvimExt.reg, src/vim.def, src/vim16.def.
# - Correct included_patches[] in src/version.c.
# - Compile Vim with GTK, Perl, Python, TCL, Ruby, MZscheme, Cscope and "huge"
#   features.  Exclude workshop and SNiFF.
# - With these features: "make proto" (requires cproto and Motif installed;
#   ignore warnings for missing include files, fix problems for syntax errors).
# - With these features: "make depend" (works best with gcc).
# - "make lint" and check the output (ignore GTK warnings).
# - Enable the efence library in "src/Makefile" and run "make test".  May
#   require disabling Python to avoid trouble with threads.
# - Check for missing entries in runtime/makemenu.vim (with checkmenu script).
# - Check for missing options in runtime/optwin.vim et al. (with check.vim).
# - Do "make menu" to update the runtime/synmenu.vim file.
# - Add remarks for changes to runtime/doc/version7.txt.
# - In runtime/doc run "make" and "make html" to check for errors.
# - Check if src/Makefile and src/feature.h don't contain any personal
#   preferences or the GTK, Perl, etc. mentioned above.
# - Check that runtime/doc/help.txt doesn't contain entries in "LOCAL
#   ADDITIONS".
# - Check file protections to be "644" for text and "755" for executables (run
#   the "check" script).
# - Check compiling on Amiga, MS-DOS and MS-Windows.
# - Delete all *~, *.sw?, *.orig, *.rej files
# - "make unixall", "make extra", "make lang", "make html"
#
# Amiga:
# - "make amisrc", move the archive to the Amiga and compile:
#   "make -f Make_manx.mak" (will use "big" features by default).
# - Run the tests: "make -f Make_manx.mak test"
# - Place the executables Vim and Xxd in this directory (set the executable
#   flag).
# - "make amirt", "make amibin".
#
# PC:
# - "make dossrc" and "make dosrt".  Unpack the archives on a PC.
# 16 bit DOS version:
# - Set environment for compiling with Borland C++ 3.1.
# - "bmake -f Make_bc3.mak BOR=E:\borlandc" (compiling xxd might fail, in that
#   case set environment for compiling with Borland C++ 4.0 and do
#   "make -f make_bc3.mak BOR=E:\BC4 xxd/xxd.exe").
# - "make test" and check the output.
# - Rename the executables to "vimd16.exe", "xxdd16.exe", "installd16.exe" and
#   "uninstald16.exe".
# 32 bit DOS version:
# - Set environment for compiling with DJGPP; "gmake -f Make_djg.mak".
# - "rm testdir/*.out", "gmake -f Make_djg.mak test" and check the output.
# - Rename the executables to "vimd32.exe", "xxdd32.exe", "installd32.exe" and
#   "uninstald32.exe".
# Win32 console version:
# - Set environment for Visual C++ Toolkit 2003: "msvcsetup.bat"
# - "nmake -f Make_mvc.mak"
# - "rm testdir/*.out", "nmake -f Make_mvc.mak test" and check the output.
# - Rename the executables to "vimw32.exe", "xxdw32.exe".
# - Rename ObjC/vim.pdb to vimw32.pdb.
# - When building the Win32s version later, delete vimrun.exe, install.exe and
#   uninstal.exe.  Otherwise rename executables to installw32.exe and
#   uninstalw32.exe.
# Win32 GUI version:
# - "nmake -f Make_mvc.mak GUI=yes.
# - move "gvim.exe" to here (otherwise the OLE version will overwrite it).
# - Move ObjG/gvim.pdb to here.
# - Delete vimrun.exe, install.exe and uninstall.exe.
# - Copy "GvimExt/gvimext.dll" to here.
# Win32 GUI version with OLE, PERL, TCL, PYTHON and dynamic IME:
# - Run src/bigvim.bat ("nmake -f Make_mvc.mak GUI=yes OLE=yes IME=yes ...)
# - Rename "gvim.exe" to "gvim_ole.exe".
# - Rename ObjGOLYTR/gvim.pdb to "gvim_ole.pdb".
# - Delete install.exe and uninstall.exe.
# - If building the Win32s version delete vimrun.exe.
# Win32s GUI version:
# - Set environment for Visual C++ 4.1 (requires a new console window)
# - "vcvars32" (use the path for VC 4.1 e:\msdev\bin)
# - "nmake -f Make_mvc.mak GUI=yes INTL=no clean" (use the path for VC 4.1)
# - "nmake -f Make_mvc.mak GUI=yes INTL=no" (use the path for VC 4.1)
# - Rename "gvim.exe" to "gvim_w32s.exe".
# - Rename "install.exe" to "installw32.exe"
# - Rename "uninstal.exe" to "uninstalw32.exe"
# - The produced uninstalw32.exe and vimrun.exe are used.
# Create the archives:
# - Copy all the "*.exe" files to where this Makefile is.
# - Copy all the "*.pdb" files to where this Makefile is.
# - "make dosbin".
# - Run make on Unix to update the ".mo" files.
# - "make doslang".
# NSIS self installing exe:
# - Unpack the doslang archive on the PC.
# - Make sure gvim_ole.exe, vimd32.exe, vimw32.exe, installw32.exe,
#   uninstalw32.exe and xxdw32.exe have been build as mentioned above.
# - put gvimext.dll in src/GvimExt and VisVim.dll in src/VisVim (get them
#   from a binary archive or build them)
#   Note: VisVim needs to be build with MSVC 5, newer versions don't work.
# - make sure there is a diff.exe two levels up
# - go to ../nsis and do "makensis gvim.nsi".
# - Copy gvim##.exe to the dist directory.
#
# OS/2:
# - Unpack the Unix "src", "extra" and "rt" archives.
# - "make -f Make_os2.mak".
# - Rename the executables to vimos2.exe, xxdos2.exe and teeos2.exe and copy
#   them to here.
# - "make os2bin".

VIMVER	= vim-$(MAJOR).$(MINOR)
VERSION = $(MAJOR)$(MINOR)
VDOT	= $(MAJOR).$(MINOR)
VIMRTDIR = vim$(VERSION)

# Vim used for conversion from "unix" to "dos"
VIM	= vim

# How to include Filelist depends on the version of "make" you have.
# If the current choice doesn't work, try the other one.

include Filelist
#.include "Filelist"


# All output is put in the "dist" directory.
dist:
	mkdir dist

# Clean up some files to avoid they are included.
prepare:
	if test -f runtime/doc/uganda.nsis.txt; then \
		rm runtime/doc/uganda.nsis.txt; fi

# For the zip files we need to create a file with the comment line
dist/comment:
	mkdir dist/comment

COMMENT_RT = comment/$(VERSION)-rt
COMMENT_RT1 = comment/$(VERSION)-rt1
COMMENT_RT2 = comment/$(VERSION)-rt2
COMMENT_D16 = comment/$(VERSION)-bin-d16
COMMENT_D32 = comment/$(VERSION)-bin-d32
COMMENT_W32 = comment/$(VERSION)-bin-w32
COMMENT_GVIM = comment/$(VERSION)-bin-gvim
COMMENT_OLE = comment/$(VERSION)-bin-ole
COMMENT_W32S = comment/$(VERSION)-bin-w32s
COMMENT_SRC = comment/$(VERSION)-src
COMMENT_OS2 = comment/$(VERSION)-bin-os2
COMMENT_HTML = comment/$(VERSION)-html
COMMENT_FARSI = comment/$(VERSION)-farsi
COMMENT_LANG = comment/$(VERSION)-lang

dist/$(COMMENT_RT): dist/comment
	echo "Vim - Vi IMproved - v$(VDOT) runtime files for MS-DOS and MS-Windows" > dist/$(COMMENT_RT)

dist/$(COMMENT_RT1): dist/comment
	echo "Vim - Vi IMproved - v$(VDOT) runtime files (PART 1) for MS-DOS and MS-Windows" > dist/$(COMMENT_RT1)

dist/$(COMMENT_RT2): dist/comment
	echo "Vim - Vi IMproved - v$(VDOT) runtime files (PART 2) for MS-DOS and MS-Windows" > dist/$(COMMENT_RT2)

dist/$(COMMENT_D16): dist/comment
	echo "Vim - Vi IMproved - v$(VDOT) binaries for MS-DOS 16 bit real mode" > dist/$(COMMENT_D16)

dist/$(COMMENT_D32): dist/comment
	echo "Vim - Vi IMproved - v$(VDOT) binaries for MS-DOS 32 bit protected mode" > dist/$(COMMENT_D32)

dist/$(COMMENT_W32): dist/comment
	echo "Vim - Vi IMproved - v$(VDOT) binaries for MS-Windows NT/95" > dist/$(COMMENT_W32)

dist/$(COMMENT_GVIM): dist/comment
	echo "Vim - Vi IMproved - v$(VDOT) GUI binaries for MS-Windows NT/95" > dist/$(COMMENT_GVIM)

dist/$(COMMENT_OLE): dist/comment
	echo "Vim - Vi IMproved - v$(VDOT) MS-Windows GUI binaries with OLE support" > dist/$(COMMENT_OLE)

dist/$(COMMENT_W32S): dist/comment
	echo "Vim - Vi IMproved - v$(VDOT) GUI binaries for MS-Windows 3.1/3.11" > dist/$(COMMENT_W32S)

dist/$(COMMENT_SRC): dist/comment
	echo "Vim - Vi IMproved - v$(VDOT) sources for MS-DOS and MS-Windows" > dist/$(COMMENT_SRC)

dist/$(COMMENT_OS2): dist/comment
	echo "Vim - Vi IMproved - v$(VDOT) binaries + runtime files for OS/2" > dist/$(COMMENT_OS2)

dist/$(COMMENT_HTML): dist/comment
	echo "Vim - Vi IMproved - v$(VDOT) documentation in HTML" > dist/$(COMMENT_HTML)

dist/$(COMMENT_FARSI): dist/comment
	echo "Vim - Vi IMproved - v$(VDOT) Farsi language files" > dist/$(COMMENT_FARSI)

dist/$(COMMENT_LANG): dist/comment
	echo "Vim - Vi IMproved - v$(VDOT) MS-Windows language files" > dist/$(COMMENT_LANG)

unixall: dist prepare
	-rm -f dist/$(VIMVER).tar.bz2
	-rm -rf dist/$(VIMRTDIR)
	mkdir dist/$(VIMRTDIR)
	tar cf - \
		$(RT_ALL) \
		$(RT_ALL_BIN) \
		$(RT_UNIX) \
		$(RT_UNIX_DOS_BIN) \
		$(RT_SCRIPTS) \
		$(LANG_GEN) \
		$(LANG_GEN_BIN) \
		$(SRC_ALL) \
		$(SRC_UNIX) \
		$(SRC_DOS_UNIX) \
		| (cd dist/$(VIMRTDIR); tar xf -)
# Need to use a "distclean" config.mk file
	cp -f src/config.mk.dist dist/$(VIMRTDIR)/src/auto/config.mk
# Create an empty config.h file, make dependencies require it
	touch dist/$(VIMRTDIR)/src/auto/config.h
# Make sure configure is newer than config.mk to force it to be generated
	touch dist/$(VIMRTDIR)/src/configure
	cd dist && tar cf $(VIMVER).tar $(VIMRTDIR)
	bzip2 dist/$(VIMVER).tar

extra: dist prepare
	-rm -f dist/$(VIMVER)-extra.tar.gz
	-rm -rf dist/$(VIMRTDIR)
	mkdir dist/$(VIMRTDIR)
	tar cf - \
		$(EXTRA) \
		| (cd dist/$(VIMRTDIR); tar xf -)
	cd dist && tar cf $(VIMVER)-extra.tar $(VIMRTDIR)
	gzip -9 dist/$(VIMVER)-extra.tar

lang: dist prepare
	-rm -f dist/$(VIMVER)-lang.tar.gz
